Kafka Clusters
Get Kafka metrics graphs
Retrieves broker, topic, partition, and per-broker CPU user/system metrics for a Strimzi Kafka cluster.
GET
/
kafka-clusters
/
{uuid}
/
metrics-graph
Get Kafka metrics graphs
curl --request GET \
--url https://api.artie.com/kafka-clusters/{uuid}/metrics-graph \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.artie.com/kafka-clusters/{uuid}/metrics-graph"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.artie.com/kafka-clusters/{uuid}/metrics-graph', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artie.com/kafka-clusters/{uuid}/metrics-graph",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artie.com/kafka-clusters/{uuid}/metrics-graph"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artie.com/kafka-clusters/{uuid}/metrics-graph")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artie.com/kafka-clusters/{uuid}/metrics-graph")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"brokerCount": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"cpuSystem": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"cpuUser": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"memoryUsage": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"partitionCount": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"supported": true,
"topicCount": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"unit": "<string>",
"reason": "<string>"
}Authorizations
API key passed as a Bearer token in the Authorization header.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Kafka metrics graphs
curl --request GET \
--url https://api.artie.com/kafka-clusters/{uuid}/metrics-graph \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.artie.com/kafka-clusters/{uuid}/metrics-graph"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.artie.com/kafka-clusters/{uuid}/metrics-graph', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artie.com/kafka-clusters/{uuid}/metrics-graph",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artie.com/kafka-clusters/{uuid}/metrics-graph"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artie.com/kafka-clusters/{uuid}/metrics-graph")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artie.com/kafka-clusters/{uuid}/metrics-graph")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"brokerCount": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"cpuSystem": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"cpuUser": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"memoryUsage": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"partitionCount": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"supported": true,
"topicCount": [
{
"label": "<string>",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123
}
]
}
],
"unit": "<string>",
"reason": "<string>"
}